summaryrefslogtreecommitdiff
path: root/autogen_gnome.sh
diff options
context:
space:
mode:
Diffstat (limited to 'autogen_gnome.sh')
-rwxr-xr-xautogen_gnome.sh21
1 files changed, 21 insertions, 0 deletions
diff --git a/autogen_gnome.sh b/autogen_gnome.sh
new file mode 100755
index 00000000..3e36bfca
--- /dev/null
+++ b/autogen_gnome.sh
@@ -0,0 +1,21 @@
+#!/bin/sh
+# Run this to generate all the initial makefiles, etc.
+
+srcdir=`dirname $0`
+test -z "$srcdir" && srcdir=.
+
+PKG_NAME="xfree86_xkb_xml"
+
+(test -f $srcdir/configure.in \
+ && test -d $srcdir/po) || {
+ echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
+ echo " top-level $PKG_NAME directory"
+ exit 1
+}
+
+which gnome-autogen.sh || {
+ echo "You need to install gnome-common from the GNOME CVS"
+ exit 1
+}
+REQUIRED_AUTOMAKE_VERSION=1.6 USE_GNOME2_MACROS=1 . gnome-autogen.sh
+